package com.tencent.mm.plugin.soter.ui;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ui.MMActivity;
import com.tencent.soter.core.a;
import com.tencent.soter.core.c.i;

public class SoterTestUI extends MMActivity {
    private Button rOA = null;
    private Button rOB = null;
    private Button rOC = null;
    private Button rOD = null;
    private Button rOE = null;
    private Button rOF = null;
    private Button rOG = null;
    private Button rOH = null;
    private TextView rOI = null;
    private Button rOz = null;

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        AppMethodBeat.at(this, z);
    }

    public void onCreate(Bundle bundle) {
        AppMethodBeat.i(59392);
        super.onCreate(bundle);
        this.rOz = (Button) findViewById(2131827974);
        this.rOA = (Button) findViewById(2131827975);
        this.rOB = (Button) findViewById(2131827976);
        this.rOC = (Button) findViewById(2131827977);
        this.rOD = (Button) findViewById(2131827978);
        this.rOE = (Button) findViewById(2131827979);
        this.rOF = (Button) findViewById(2131827980);
        this.rOG = (Button) findViewById(2131827981);
        this.rOH = (Button) findViewById(2131827982);
        this.rOI = (TextView) findViewById(2131827973);
        this.rOz.setOnClickListener(new 1(this));
        this.rOA.setOnClickListener(new 2(this));
        this.rOB.setOnClickListener(new 3(this));
        this.rOC.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(59382);
                i dQS = a.dQS();
                if (dQS == null) {
                    SoterTestUI.this.rOI.setText("not passed: no certificate");
                    AppMethodBeat.o(59382);
                    return;
                }
                SoterTestUI.this.rOI.setText("model available: " + dQS.toString());
                AppMethodBeat.o(59382);
            }
        });
        this.rOD.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(59383);
                SoterTestUI.this.rOI.setText(a.atZ("sample_auth_key_name").isSuccess() ? "pass" : "not passed");
                AppMethodBeat.o(59383);
            }
        });
        this.rOE.setOnClickListener(new 6(this));
        this.rOF.setOnClickListener(new OnClickListener() {
            public final void onClick(View view) {
                AppMethodBeat.i(59385);
                i auc = a.auc("sample_auth_key_name");
                if (auc == null) {
                    SoterTestUI.this.rOI.setText("not passed: no certificate");
                    AppMethodBeat.o(59385);
                    return;
                }
                SoterTestUI.this.rOI.setText("model available: " + auc.toString());
                AppMethodBeat.o(59385);
            }
        });
        this.rOG.setOnClickListener(new 8(this));
        AppMethodBeat.o(59392);
    }

    public final int getLayoutId() {
        return 2130970842;
    }
}
